A:visited, :link {text-decoration: none; }
A:link {color : navy; background-color: transparent;}
A:link:hover, :visited:hover {text-decoration: underline;}
A:visited {color: #7777AA; background-color: transparent;}
A:link:active, :visited:active {color: #00FFFF; background-color: transparent;}


A.utf-icon {
  font-size: 2vw;
}
A.utf-icon .add-icon {
  color: #57F;
}

A.utf-icon .edit-icon {
  color: orange;
}
A.minute-link, A.minute-link:visited, A.report-link, A.report-link:visited {
    background-color: rgba(0,0,0,0.1);
}
A.minute-link::after, A.report-link::after, A.notes-link::after, A.checklists-link::after { content: "»"; }
A.minute-link::before, A.report-link::before, A.notes-link::before, A.checklists-link::before { content: "«"; }

html, body {
  font-size: 16px;
  margin: 0;
  padding: 0;
}



IMG:hover { cursor: crosshair; }
IMG {
    border: 0;
}

BODY {
  background-color: white ;
  color: black;
  font-family: "Times", "Times New Roman", Serif;
  font-size: 16px;
}
#top {
    width: 1px;
}

H1 {
  color: navy;
  font-weight:bold;
  font-size: 110%;
  margin:10px 0 10px 0; /* top right bottom left*/
  padding:0.5ex 0 0.5ex 0; /* top right bottom left*/
  border-style:solid;
  border-color:black;
  border-width: 0 0 0 0; /* top right bottom left*/
  font-family: "Arial", "helvetica", sans-serif;
}

header {
  background-color: rgba(247, 248, 249, 1);
  padding: 0.1rem 0;
}
header .heroe {
  margin: 0 auto;
  max-width: 1100px;
  padding: 0.5rem 1.75rem 0.5rem 1.75rem;
}
header .heroe h1 {
  font-size: 2.5rem;
  font-weight: 500;
}
header .heroe h2 {
  font-size: 1.5rem;
  font-weight: 300;
}
header > h1 {
    font-size: x-large;
    border-style:dashed;
    border-color:black;
    border-width: 0px 0 0 0; /* top right bottom left*/
    margin:20px 0 40px 0; /* top right bottom left*/
    background-color:transparent;
}

H2 {
  font-weight: bold;
  font-size: 100%;
  margin: 20px 0 10px 0; /* top right bottom left*/
  padding:0.7ex 0 0.7ex 0; /* top right bottom left*/
  color: black;
  /*background-color: #EEEEEE;*/
  text-align: center;
  font-family: "Arial", "helvetica", sans-serif;
}

H2.pagebreak {
    page-break-before: always;
}

H3 {
  font-weight: bold;
  font-size: 90%;
  margin: 20px 0 10px 0; /* top right bottom left*/
  padding:0.7ex 0 0.7ex 0; /* top right bottom left*/
  text-align: center;
  /*border-style: dashed;*/
  /*border-color: #D3D3D3;*/
  border-width: 0;
  font-family: "Arial", "helvetica", sans-serif;
}

section {
  margin: 0 auto;
  max-width: 1100px;
  padding: 2.5rem 1.75rem 3.5rem 1.75rem;
}
section.wide {
  max-width: 1700px;
}
section h1 {
  margin-bottom: 2.5rem;
}
section h2 {
  font-size: 120%;
  line-height: 2.5rem;
  padding-top: 1.5rem;
}
section pre {
  background-color: rgba(247, 248, 249, 1);
  border: 1px solid rgba(242, 242, 242, 1);
  display: block;
  font-size: .9rem;
  margin: 2rem 0;
  padding: 1rem 1.5rem;
  white-space: pre-wrap;
  word-break: break-all;
}
section code {
  display: block;
}

nav {
  padding: 0.3em;
}
nav ul {
  display: flex;
  justify-content: space-evenly;
  margin: 0;
}
nav ul li {
  list-style: none;
  background-color: #396CA8;
  padding: 0.7em 1.5em;
}
nav ul li a:visited {
  color: white;
}
nav ul li a:visited {
  color: #CCD;
}

blockquote {
  border-left: 5px solid #DDD;
  padding-left: 1em;
  font-style: italic;
}

TABLE {
  width: 100%;
  padding: 0;
  border-style: solid;
  border-color: #EEEEEE;
  border-width: 1px 1px 1px 1px; /* top right bottom left*/
  border-spacing: 0;
}


TH {
  background-color: #EEEEEE;
  border-left: 0;
  border-right: 0;
  border-top: 0;
  border-bottom: 0;
  padding: 0;
  color: black;
}
table thead tr th {
  position: sticky;
  top: 0;
  background-color: #EEEEEE !important;
  z-index: 1;
}

TD {
  vertical-align: top;
  padding: 3px 0 0 5px; /* top right bottom left*/
  border-left: 0;
  border-right: dashed 1px #E0E0E0;
  border-top: 0;
  border-bottom: dashed 1px #E0E0E0;
  text-align: left;
}
.project_header td {
    min-width: 10em;
}

.Title {
  color: black;
  font-weight:bold;
  font-size: 110%;
  margin:0;
  padding:0.7ex 0 0.7ex 0; /* top right bottom left*/
  border-width: 0;
  text-align: center;
  font-family: "Arial", "helvetica", sans-serif;
}

footer {
    background-color: rgba(8, 71, 146, .8);
    text-align: center;
}
footer .environment, footer span {
    color: rgba(255, 255, 255, 1);
    padding: 0.2rem 1.75rem;
}
#footer {
    display: block;
    border-top: 1px dashed gray;
    color: silver;
    text-align: center;
    font-size: smaller;
}


.nav-index {
  padding: 10px;
}

#volume-list li.vol-list-item {
  display: inline;
  padding: 3px 7px;
  background-color: rgba(120, 150, 205, 0.3);
  border-radius: 4px;
}
#volume-list {
  font-size: 0.8em;
  text-align: justify;
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  padding: 5px;
}
.issue-popup {display: none;}


#loginform, .form {
  /* Rounded Corners: */
  -moz-border-radius: 20px;
  -webkit-border-radius: 20px;
  border-radius: 20px; /* future proofing */
  -khtml-border-radius: 20px; /* for old Konqueror browsers */
  /* Center all */
  margin-left: auto;
  margin-right: auto;
  margin-top: 50px;

  text-align: center;
  border-width: 1px 1px 1px 1px ; /* top right bottom left*/
  border-style: solid;
  border-color: gray;
  padding: 30px 20px 30px 20px; /* top right bottom left*/
  font-size: 1vw;
}
#loginform {
  width: max(20em,30%);
}
.form {
  width: min(60em,90%);
}
#loginform input, .form input {
    line-height: 2vw;
    font-size: 1vw;
}

#userfield {
  display: flex;
  flex-direction: row;
  align-content: stretch;
  justify-content: center;
}


#header >TABLE {
  width: 100%;
  padding: 0;
  border-style: solid;
  border-color: white;
  border-width: 0;
}


#header >table >tbody >tr >TH {
  background-color:#EEEEEE;
  color: black;
}

#header >table >tbody >tr >TD {
  vertical-align: top;
  padding: 3px 3px 3px 3px; /* top right bottom left*/
  border-width: 0;
}


TD > PROGRESS {
  min-width: 162px; /* Firefor 6 renders the PROGRESS tag with a width of 161px, but doesn't fit it into a cell */
}

input[type=number] {
  width: 5em;
}
input:invalid {
    border: none;
    outline: 2px solid red;
    border-radius: 3px;
}


a:target {
  background-color: #FFBBBB;
}



.changed {background-color:orange;}

td.inline-notes{ padding:1px; margin:1px;}
.inline-notes ul li { padding: 0px; }
/* Some extra styles are generated by PHP script. */

summary {
  font-size: smaller;
  font-style: italic;
}

.moreoptions UL {
    list-style-type: none; /* disc | circle | square | decimal | lower-roman | upper-roman | lower-alpha | upper-alpha | none */
    margin:0;
}

.moreoptions LI:before {
    content: "\21D2 ";
    padding-right: 10px;
    padding-top: 0;
    padding-bottom: 0;
}

#navheader {
    vertical-align: middle;
    position: relative;
    left: 40px;
    width: calc(100% - 40px);
    margin: 0;
    height: min-content;
}
.nav-group{
    vertical-align: middle;
    margin: 0;
    display: inline-block;
    height: max-content;
}
.nav-group:nth-child(even) {
  border-width: 0 2px;
  padding: 0 5px;
  position: relative;
  border-color: darkgray;
  border-style: solid;
  margin: 0 5px;
}

#persistentmenu {
    font-size: smaller;
    background-color: white;
    border: 1px grey dashed;
    padding: 3px;
    position: fixed;
    top: 30px;
    left: 0;
}

#persistentmenu UL {
    list-style-type: none; /* disc | circle | square | decimal | lower-roman | upper-roman | lower-alpha | upper-alpha | none */
    margin: 0;
    padding: 0;
}

#persistentmenu LI:before {
    content: "-";
}

#assigned_projects tr td:nth-child(odd) {
    background: #F5F5F5;
}
#assigned_projects tr:hover > td:nth-child(even) {background-color: #F0FFF0;}

.checklist_table tr:hover > td {background-color: #F0F0FF;}

option.invalidpass{
    font-style: italic;
}
option.externalmember{
    color: #55A;
}
option.externalcategory{
    color: #55A;
}
option.proj-closed{
    font-style: italic;
    color: #A55;
}


.contact-inactive {
    font-weight: lighter;
    font-style: italic;
    text-decoration: none;
}


/* Task priority */
.priority_low {
    font-weight: lighter;
    font-style: italic;
    text-decoration: none;
}
.priority_normal {
    font-weight: normal;
    font-style: normal;
    text-decoration: none;
}
.priority_medium {
    font-weight: bold;
    font-style: normal;
    text-decoration: none;
}
.priority_high {
    font-weight: bold;
    font-style: normal;
    text-decoration: underline;
}

/* Task urgency */
.urgency_low {
    color: gray;
}
.urgency_normal {
    color: black;
}
.urgency_medium {
    color: #DF8500;
}
.urgency_high {
    color: red;
}

.overdue { color: red; }

.warning{margin: 30px; padding:10px; background-color: #FFFFDD; border: dashed 1px blue;}


div.adminfunc{
    padding: 5px;
    /* Rounded Corners: */
    -moz-border-radius: 20px;
    -webkit-border-radius: 20px;
    border-radius: 20px; /* future proofing */
    -khtml-border-radius: 20px; /* for old Konqueror browsers */
}
option.adminfunc{
    font-style: italic;
}
.adminfunc{
    background-color: #EFECF4;
}

.advertencia{margin: 30px; padding:10px; background-color: #FFFFDD; border: dashed 1px blue;}
.informacion{margin: 30px; padding:10px; background-color: #DDFFFF; border: dashed 1px blue; border-radius: 10px;}
.role-name{border: solid 1px #8888FF; border-radius: 3px;}
.role-name-1{border: dashed 1px #8888FF; border-radius: 3px;}
.role-name-2{border: dashed 1px #00AA00; border-radius: 3px;}
.role-name-3{border: dashed 1px #FF8888; border-radius: 3px;}
.role-name-4{border: dotted 1px #EEEE77; border-radius: 3px;}
.role-name-5{border: dotted 1px #EE77EE; border-radius: 3px;}
.role-name-6{border: double 1px #77EEEE; border-radius: 3px;}

#selproject TR:hover > TD {background-color: #E5E5D5;}
#allprojects TR:hover > TD {background-color: #E5E5E5;}
#allusers TR:hover > TD { background-color: #E5CCCC; }

/* Project status */
.closed {
    color: red;
}
.open {
    color: green;
}
.lastmod:before {
    content: "(";
}
.lastmod:after {
    content: ")";
}
.lastmod {
    font-size: smaller;
    font-style: italic;
}

/* User properties */
.emptypass {
    font-style: italic;
    text-decoration: underline
}
.defaultpass {
    font-style: italic;
    text-decoration: underline
}
.external {
    background-color: #DDDDDD;
}

.no-reviewer {
    background-color:#FFDBBF;
}

.row-completed, .col-completed {
    background-color:#EAFFEA;
}
.mod-someone-else {text-decoration: underline wavy #F85 1px;}


.selector-range {
 display: block;
 padding: 0 0 0 30px;
 border: 0 none;
 margin: 3px 0;
}
.selector-range li {
 display: inline;
 padding: 0 10px 0 10px;
}
.no-transactions {
    background-color: #FFDBDB;
}

.estimated_duration {
    font-style: italic;
}


.high1 {background-color:yellow;}
.high2 {background-color:lime;}
.high3 {background-color:aqua;}
.high4 {background-color:orange;}
.high5 {background-color:#FF8888;}
.high6 {background-color:fuchsia;}
.high7 {background-color:teal;}
.high8 {background-color:red;}

.not-backed-up, .fabricated-and-not-backed-up {height:100%; display:block; overflow:auto;}
.not-backed-up {background-color: #FFC;}
.fabricated-and-not-backed-up {background-color: #FCC;}

.radio-show, .radio-hide, .label-show, .label-hide {
  display:none
}
.radio-show:not(:checked) + .label-show, .radio-hide:not(:checked) + .label-hide {
  display: inline;
}
.label-hide del {background-color:yellow;}
ins {color:red;}

:is(#taskedit_table, #taskadd_table) #descfield {
    min-width: 25%;
}


@media only screen {
    .has-task-info {text-decoration: underline dotted blue;}
}


@media print {
    .noprint {
        display: none;
    }
    .mod-someone-else {text-decoration: none;}
}

@media only screen and (max-width: 768px) {
    BODY {
      font-size: 4vw;
    }
}
@media only screen and (max-width: 1150px) {
    BODY {
      font-size: 3vw;
    }
    A.utf-icon {
      font-size: 5vw;
    }
    td#progress-form { border: 3px solid green; background-color: rgba(0, 120, 0, 0.2); }
    #loginform, #topic_form, #pending_task_form {
        font-size: 4vw;
        margin-top: 1ex;
        width: 90%;
    }
    :is(#loginform, #topic_form, #pending_task_form) input, #pending_task_form select {
        width: 100%;
        line-height: 5vw;
        font-size: 3.5vw;
    }
    #taskedit_table textarea {
        font-size: 2vw;
    }
    #taskedit_table input, #taskedit_table select, #project_list form input, #project_list select {
        min-width: 18em;
        font-size: 5vw;
    }
    #taskedit_table, #taskedit_table :is(thead, tbody, td, tr) {
        display: block;
        font-size: 5vw;
    }
    input[type="submit"] {
        padding: 2.5vw;
    }
}
